#include <bits/stdc++.h>
using namespace std;


int main(){
ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
string s; cin >> s;
int a, b; cin >> a >> b;
if ( ( abs(a-b) != 1 ) && ( a- b != 0 ) ){
    cout << "nemoguce";
}
else{
    if ( a == b ){
    cout << s << s;
    }
    else{
        if ( a - b == 1 ){
            for ( int i = 0; i < b; i++ ){
                cout << s;
            }
            cout << s[0];
        }
        else{
            cout << s[1];
            for ( int i =0; i < a; i++ ){
                cout << s;
            }
        }

    }
}
return 0;
}